package ru.micord.ervu.journal;

public class JournalDto {

  private String fileId;
  private String departureDateTime;
  private String fileName;
  private Integer filePatternCode;
  private String senderFio;
  private String status;
  public Integer filesSentCount;
  public Integer acceptedFilesCount;

  public String getDepartureDateTime() {
    return departureDateTime;
  }

  public JournalDto setDepartureDateTime(String departureDateTime) {
    this.departureDateTime = departureDateTime;
    return this;
  }

  public String getFileId() {
    return fileId;
  }

  public JournalDto setFileId(String fileId) {
    this.fileId = fileId;
    return this;
  }

  public String getFileName() {
    return fileName;
  }

  public JournalDto setFileName(String fileName) {
    this.fileName = fileName;
    return this;
  }

  public Integer getFilePatternCode() {
    return filePatternCode;
  }

  public JournalDto setFilePatternCode(Integer filePatternCode) {
    this.filePatternCode = filePatternCode;
    return this;
  }

  public String getSenderFio() {
    return senderFio;
  }

  public JournalDto setSenderFio(String senderFio) {
    this.senderFio = senderFio;
    return this;
  }

  public String getStatus() {
    return status;
  }

  public JournalDto setStatus(String status) {
    this.status = status;
    return this;
  }

  public Integer getFilesSentCount() {
    return filesSentCount;
  }

  public JournalDto setFilesSentCount(Integer filesSentCount) {
    this.filesSentCount = filesSentCount;
    return this;
  }

  public Integer getAcceptedFilesCount() {
    return acceptedFilesCount;
  }

  public JournalDto setAcceptedFilesCount(Integer acceptedFilesCount) {
    this.acceptedFilesCount = acceptedFilesCount;
    return this;
  }
}
